Get a beneficiary
curl --request GET \
--url https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ben-a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": {
"type": "INDIVIDUAL",
"firstName": "João",
"lastName": "Silva",
"identificationDocument": {
"type": "CPF",
"value": "52998224725",
"country": "BR"
},
"birthDate": "1985-03-15",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "BR",
"postalCode": "<string>"
}
},
"paymentInstructions": [
{
"id": "pi-a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"asset": "BRL",
"currentState": {
"createdAt": "2023-11-07T05:31:56Z",
"reason": {
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance for the requested operation",
"details": {}
}
},
"address": {
"rail": "PIX_KEY",
"dictKey": "john@example.com"
},
"createdAt": "2026-04-14T10:30:00Z",
"documents": [
{
"referenceId": "doc-a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"type": "CUSTODY_ATTESTATION",
"version": 1
}
],
"custodyDetail": {
"purpose": "Treasury settlement",
"custody": "Coinbase Custody",
"counterparty": "Acme VASP Ltd"
}
}
],
"createdAt": "2026-04-14T10:30:00Z",
"updatedAt": "2026-04-14T10:30:00Z"
}
Get a beneficiary
Retrieves the details of a beneficiary by its ID.
GET
/
v1
/
beneficiaries
/
{beneficiaryId}
Get a beneficiary
Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Headers
API version. Omit to use the default version.
Example:
"1"
Path Parameters
UUID of the beneficiary.
Response
Beneficiary details.
An external beneficiary registered for withdrawals.
Example:
"ben-a1b2c3d4-5e6f-7890-abcd-ef1234567890"
Customer that owns this beneficiary.
The person or company that receives funds. Discriminated by type.
- Individual
- Company
Show child attributes
Show child attributes
Whether the beneficiary is the customer themselves (SELF_OWNED) or a separate party (THIRD_PARTY).
Available options:
SELF_OWNED, THIRD_PARTY Show child attributes
Show child attributes
Example:
"2026-04-14T10:30:00Z"
Example:
"2026-04-14T10:30:00Z"
Was this page helpful?
⌘I